TaskTrackerMetricsSource (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class TaskTrackerMetricsSource

    java.lang.Object
      org.apache.hadoop.mapred.TaskTrackerMetricsSource

All Implemented Interfaces:
  MetricsSource

    public class TaskTrackerMetricsSource

extends Object
implements MetricsSource

Instrumentation for metrics v2

Field Summary
`protected TaskTracker` | `tt`

Constructor Summary
`TaskTrackerMetricsSource(TaskTracker tt)`

Method Summary
`void` | `completeTask(TaskAttemptID t)` invoked when task attempt t succeeds
`void` | `getMetrics(MetricsBuilder builder, boolean all)` Get metrics from the source
`void` | `reportTaskEnd(TaskAttemptID t)` called when task t has just finished.
`void` | `reportTaskLaunch(TaskAttemptID t, File stdout, File stderr)` Called just before task attempt t starts.
`void` | `taskFailedPing(TaskAttemptID t)`
`void` | `timedoutTask(TaskAttemptID t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tt

    protected final TaskTracker tt

Constructor Detail

### TaskTrackerMetricsSource

    public TaskTrackerMetricsSource(TaskTracker tt)

Method Detail

### getMetrics

    public void getMetrics(MetricsBuilder builder,
                           boolean all)

  Description copied from interface: `MetricsSource`
  Get metrics from the source

  Specified by:
    `getMetrics` in interface `MetricsSource`
  Parameters:
    `builder` - to contain the resulting metrics snapshot
    `all` - if true, return all metrics even if unchanged.

### completeTask

    public void completeTask(TaskAttemptID t)

  invoked when task attempt t succeeds

### timedoutTask

    public void timedoutTask(TaskAttemptID t)

### taskFailedPing

    public void taskFailedPing(TaskAttemptID t)

### reportTaskLaunch

    public void reportTaskLaunch(TaskAttemptID t,
                                 File stdout,
                                 File stderr)

  Called just before task attempt t starts.

  Parameters:
    `stdout` - the file containing standard out of the new task
    `stderr` - the file containing standard error of the new task

### reportTaskEnd

    public void reportTaskEnd(TaskAttemptID t)

  called when task t has just finished.

  Parameters:
    `t` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation